Hooks:PostHook(HUDMissionBriefing, "init", "BriefingPlayerLatencyInit", function(self)
	for i = 1, tweak_data.max_players do
		local slot_panel = self._ready_slot_panel:child("slot_" .. tostring(i))	
		if slot_panel then
			local latency = slot_panel:text({
				name = "latency",
				vertical = "center",
				align = "center",
				text = "",
				visible = true,
				font = tweak_data.menu.pd2_small_font,
				font_size = tweak_data.menu.pd2_small_font_size,
				color = tweak_data.screen_colors.text:with_alpha(0.5)
			})
			
			local status = slot_panel:child("status")
			latency:set_right(status:right() + status:w() - 75)
		end
	end
end)