Hooks:PostHook(MissionBriefingGui, "update", "BriefingPlayerLatencyUpdate", function(self)
	for peer_id = 1, tweak_data.max_players do
		local slot_panel = managers.hud._hud_mission_briefing._ready_slot_panel:child("slot_" .. tostring(peer_id))
		
		if slot_panel then
			local peer = managers.network:session():peer(peer_id)
			if peer then
				local ping = peer:qos().ping
				if ping > 0 then
					local msPing = math.floor(ping) .. "ms"
					slot_panel:child("latency"):set_visible(true)
					slot_panel:child("latency"):set_text(msPing)
				end
			else
				slot_panel:child("latency"):set_visible(false)
			end
		end
	end
end)